<?php
namespace Controllers;

use \Zeedhi\Framework\Report\ReportService;
use \Zeedhi\Framework\DTO;
use \Zeedhi\Framework\DTO\Request\Row;

class RelatorioCustoProduto extends \Zeedhi\Framework\Controller\Report {
    
    protected $birtStrategy;
    protected $environment;
    
    public function __construct(ReportService $reportService, $birtStrategy, $environment) {
        $this->birtStrategy = $birtStrategy;
        $this->environment = $environment;
        parent::__construct($reportService);
    }
    
    protected $reportMapping = array (
        'COC03301' =>
        array (
          'strategy' => 'BIRT',
          'parameterMapping' =>
          array (
            "CDFILIAL"  => "CDFILIAL",
            "CDCIA"     => "CDCIA",
            "DTCUSTOAP" => "DTCUSTOAP",
            "IDCUSPAD"  => "IDCUSPAD",
            "CDPRODUTO" => "CDPRODUTO",
            "NRORG"     => "NRORG"
          ),
          'reportName'
        )
    );
    
     public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $row['__report_name'] = $row['REPORTNAME'];
        $row['NRORG'] = $this->environment->getNrOrgTrab();
        $this->birtStrategy->setReportFormat($row['REPORTFORMAT']);
     }
    
}