DROP TABLE STATSERVPRO
/

CREATE TABLE STATSERVPRO
(
   CDIBGEESTADO 	VARCHAR2(2) 	NOT NULL,
   SGESTADO 		VARCHAR2(10) 	NOT NULL,
   DSESTADO 		VARCHAR2(100) 	NOT NULL,
   CDSTATUS 		VARCHAR2(3),
   DSSTATUS 		VARCHAR2(255),
   DSOBSSTATUS 		VARCHAR2(255),
   CDSTATUSSCAN 	VARCHAR2(3),
   DSSTATUSSCAN 	VARCHAR2(255),
   DSOBSSTATUSSCAN 	VARCHAR2(255),
   DTCONSSTATNORM 	DATE,
   DTCONSSTATSCAN 	DATE,
   CDSERVVIRTUAL 	VARCHAR2(4)
      CONSTRAINT CKC_CDSERVVIRTUALPRO CHECK (CDSERVVIRTUAL IS NULL OR (CDSERVVIRTUAL IN ('SVAN','SVRS'))),
   CDSTATUSSVC 		VARCHAR2(3)		NULL,
   DSSTATUSSVC 		VARCHAR2(255)	NULL,
   DSOBSSTATUSSVC 	VARCHAR2(255)	NULL,
   DTRETORNOSVC 	DATE,
   NRORG            NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO          VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_STATSERVPRO CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO       DATE            DEFAULT SYSDATE,
   DTULTATU         DATE            DEFAULT SYSDATE,
   NRORGINCLUSAO    NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERINCLUSAO   VARCHAR2(12)    DEFAULT '1' NULL,
   NRORGULTATU      NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU  	VARCHAR2(12)    DEFAULT '1',	   
   	CONSTRAINT PK_STATSERVPRO PRIMARY KEY (CDIBGEESTADO)
)
/

INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('11', 'RO', 'Rondonia', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('12', 'AC', 'Acre', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('13', 'AM', 'Amazonas', 'SVRS')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('14', 'RR', 'Roraima', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('15', 'PA', 'Para', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('16', 'AP', 'Amapa', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('17', 'TO', 'Tocantis', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('21', 'MA', 'Maranhao', 'SVRS')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('22', 'PI', 'Piaui', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('23', 'CE', 'Ceara', 'SVRS')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('24', 'RN', 'Rio Grande do Norte', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('25', 'PB', 'Paraiba', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('26', 'PE', 'Pernambuco', 'SVRS')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('27', 'AL', 'Alagoas', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('28', 'SE', 'Sergipe', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('29', 'BA', 'Bahia', 'SVRS')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('31', 'MG', 'Minas Gerais', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('32', 'ES', 'Espirito Santo', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('33', 'RJ', 'Rio de Janeiro', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('35', 'SP', 'Sao Paulo', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('41', 'PR', 'Parana', 'SVRS')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('42', 'SC', 'Santa Catarina', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('43', 'RS', 'Rio Grande do Sul', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('50', 'MS', 'Mato Grosso do Sul', 'SVRS')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('51', 'MT', 'Mato Grosso', 'SVRS')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('52', 'GO', 'Goias', 'SVRS')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('53', 'DF', 'Distrito Federal', 'SVAN')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO)
VALUES
   ('98', 'SVAN', 'Servidor Virtual do Ambiente Nacional')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO)
VALUES
   ('99', 'SVRS', 'Servidor Virtual do Rio Grande do Sul')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO)
VALUES
   ('06', 'SVCAN', 'SVC-AN - SEFAZ Virtual de Conting?cia do Ambiente Nacional')
/
INSERT INTO STATSERVPRO
   (CDIBGEESTADO, SGESTADO, DSESTADO)
VALUES
   ('07', 'SVCRS', 'SVC-RS - SEFAZ Virtual de Conting?cia do Rio Grande do Sul')
/

DROP TABLE STATSERVHOM
/

CREATE TABLE STATSERVHOM
(
   CDIBGEESTADO 		VARCHAR2(2) 	NOT NULL,
   SGESTADO 			VARCHAR2(10) 	NOT NULL,
   DSESTADO 			VARCHAR2(100) 	NOT NULL,
   CDSTATUS 			VARCHAR2(3),
   DSSTATUS 			VARCHAR2(255),
   DSOBSSTATUS 			VARCHAR2(255),
   CDSTATUSSCAN 		VARCHAR2(3),
   DSSTATUSSCAN 		VARCHAR2(255),
   DSOBSSTATUSSCAN 		VARCHAR2(255),
   DTCONSSTATNORM 		DATE,
   DTCONSSTATSCAN 		DATE,
   CDSERVVIRTUAL 		VARCHAR2(4),
      CONSTRAINT CKC_CDSERVVIRTUALHOM CHECK (CDSERVVIRTUAL IS NULL OR (CDSERVVIRTUAL IN ('SVAN','SVRS'))),
   CDSTATUSSVC 			VARCHAR2(3)		NULL,
   DSSTATUSSVC 			VARCHAR2(255)	NULL,
   DSOBSSTATUSSVC 		VARCHAR2(255)	NULL,
   DTRETORNOSVC 		DATE,
   NRORG            	NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO          	VARCHAR2(1)     DEFAULT 'S' NOT NULL
        CONSTRAINT CKC_IDATIVO_STATSERVHOM CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO       	DATE            DEFAULT SYSDATE,
   DTULTATU         	DATE            DEFAULT SYSDATE,
   NRORGINCLUSAO    	NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERINCLUSAO   	VARCHAR2(12)    DEFAULT '1' NULL,
   NRORGULTATU      	NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU     	VARCHAR2(12)    DEFAULT '1',
	CONSTRAINT PK_STATSERVHOM PRIMARY KEY (CDIBGEESTADO)
)
/

INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('11', 'RO', 'Rondonia', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('12', 'AC', 'Acre', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('13', 'AM', 'Amazonas', 'SVRS')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('14', 'RR', 'Roraima', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('15', 'PA', 'Para', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('16', 'AP', 'Amapa', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('17', 'TO', 'Tocantis', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('21', 'MA', 'Maranhao', 'SVRS')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('22', 'PI', 'Piaui', 'SVRS')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('23', 'CE', 'Ceara', 'SVRS')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('24', 'RN', 'Rio Grande do Norte', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('25', 'PB', 'Paraiba', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('26', 'PE', 'Pernambuco', 'SVRS')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('27', 'AL', 'Alagoas', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('28', 'SE', 'Sergipe', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('29', 'BA', 'Bahia', 'SVRS')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('31', 'MG', 'Minas Gerais', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('32', 'ES', 'Espirito Santo', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('33', 'RJ', 'Rio de Janeiro', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('35', 'SP', 'Sao Paulo', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('41', 'PR', 'Parana', 'SVRS')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('42', 'SC', 'Santa Catarina', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('43', 'RS', 'Rio Grande do Sul', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('50', 'MS', 'Mato Grosso do Sul', 'SVRS')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('51', 'MT', 'Mato Grosso', 'SVRS')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('52', 'GO', 'Goias', 'SVRS')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO, CDSERVVIRTUAL)
VALUES
   ('53', 'DF', 'Distrito Federal', 'SVAN')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO)
VALUES
   ('98', 'SVAN', 'Servidor Virtual do Ambiente Nacional')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO)
VALUES
   ('99', 'SVRS', 'Servidor Virtual do Rio Grande do Sul')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO)
VALUES
   ('06', 'SVCAN', 'SVC-AN - SEFAZ Virtual de Conting?cia do Ambiente Nacional')
/
INSERT INTO STATSERVHOM
   (CDIBGEESTADO, SGESTADO, DSESTADO)
VALUES
   ('07', 'SVCRS', 'SVC-RS - SEFAZ Virtual de Conting?cia do Rio Grande do Sul')
/
COMMIT
/